Attribute VB_Name = "sqlserv8"
Option Explicit
'******************************************************************************************
'** Copyright 1996 - SAMS Publishing
'**
'**                             Microsoft SQL Server DBA Survival Guide
'**
'** Authors: Mark Spenik and Orryn Sledge
'**
'** App: samsdba.exe
'**
'** Description: This program is used to demonstrate the use of
'**                      SQL-OLE using Visual Basic. The functions performed
'**                      are memory estimates, simple table maintenance and exporting
'**                      data using Bulk Copy.
'**
'** Parameters:  None
'**
'** Returns: None
'**
'**
'** Please read the software agreement that comes with the book.
'**
'**********************************************************************************************
'

Public Sub main()
'SAMS -MicroSoft SQL Server DBA Survival Guide
'
'Main - The procedure main creates a OLE SQL Server Object
'       and then pompts the user to enter the correct SQL Server
'       name.  If the user properly connects to the SQL Server
'       the main form of the application is shown.
'
'Set up Error handling

On Error GoTo Err_Main

'
'Check if the application is already running
'
If App.PrevInstance > 0 Then
    MsgBox "SQL Server DBA Assistant already running on this machine.", _
                vbCritical, "Already Running"
    End
End If

'
'Create a New SQL Server OLE Object
'
Set MySqlServer = CreateObject("SQLDMO.SQLServer")

connected = False 'Set Global to Not Connected
'
'Set SQL Server Connection Timeout Value
'
MySqlServer.LoginTimeout = 15 'Set for 15 seconds
'
'Display the Logon Screen
'
frmLogon.Show 1
Set frmLogon = Nothing  'Reclaim Object Memory

'If We established a Connection Display the Main form
' Otherwise exit the application
If connected = True Then
    frmSplash.Show   'Display Splash Screen
    DoEvents         'Allow time to Paint the Splash Screen
    Load frmMain7     'Load the Main Form
    frmMain7.Show     'Make it Appear
    Unload frmSplash 'Make it disappear
    Set frmSplash = Nothing 'Reclaim Memory
    Exit Sub
End If
'
'Exit - If not Connected
Quit_App:

    If Not (MySqlServer Is Nothing) Then
        'Release SQL Server Object
        Set MySqlServer = Nothing
    End If
    End 'End the program
'
'Error Handler
'
Err_Main:
        '
        'Display Error Message
        MsgBox Err.Description, vbCritical, "Connection Error"
        Resume Next

End Sub

Public Sub CenterForm(F As Form)
    F.Move (Screen.Width - F.Width) \ 2, (Screen.Height - F.Height) \ 2
End Sub
